### Hierarchy

- LiteEvent

### Implements

- LiteEvent

### Implemented by

- LiteEvent

## Index

### Constructors

- constructor

### Properties

- handlers

### Methods

- emit
- expose
- off
- on

## Constructors

### constructor

- new LiteEvent(): LiteEvent

- #### Returns LiteEvent

## Properties

### Private handlers

handlers: ((...args: unknown[]) => any)[] = []

- Defined in utils/LiteEvent.ts:8

## Methods

### emit

- emit(...args: unknown[]): void

- - Defined in utils/LiteEvent.ts:18

  #### Parameters

  - ##### Rest ...args: unknown[]

  #### Returns void

### expose

- expose(): LiteEvent

- - Defined in utils/LiteEvent.ts:24

  #### Returns LiteEvent

### off

- off(handler: (...args: unknown[]) => any): void
- off(handler: (...args: unknown[]) => any): void

- - Defined in utils/LiteEvent.ts:4

  #### Parameters

  - ##### handler: (...args: unknown[]) => any

    - - (...args: unknown[]): any

      - #### Parameters

        - ##### Rest ...args: unknown[]

        #### Returns any

  #### Returns void

- - Defined in utils/LiteEvent.ts:14

  #### Parameters

  - ##### handler: (...args: unknown[]) => any

    - - (...args: unknown[]): any

      - #### Parameters

        - ##### Rest ...args: unknown[]

        #### Returns any

  #### Returns void

### on

- on(handler: (...args: unknown[]) => any): void
- on(handler: (...args: unknown[]) => any): void

- - Defined in utils/LiteEvent.ts:3

  #### Parameters

  - ##### handler: (...args: unknown[]) => any

    - - (...args: unknown[]): any

      - #### Parameters

        - ##### Rest ...args: unknown[]

        #### Returns any

  #### Returns void

- - Defined in utils/LiteEvent.ts:10

  #### Parameters

  - ##### handler: (...args: unknown[]) => any

    - - (...args: unknown[]): any

      - #### Parameters

        - ##### Rest ...args: unknown[]

        #### Returns any

  #### Returns void

Generated using TypeDoc